Roundup Tracker - Issues

Issue 2550874

classification
Title: Remove the rfc2822 module
Type: Severity: normal
Components: Versions: devel
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: jerrykan Nosy List: ber, jerrykan
Priority: Keywords: Effort-Low, patch

Created on 2015-03-03 00:52 by jerrykan, last changed 2015-03-19 13:01 by jerrykan.

Files
File name Uploaded Description Edit Remove
issue2550874-1.patch jerrykan, 2015-03-03 01:29
Messages
msg5244 Author: [hidden] (jerrykan) Date: 2015-03-03 00:52
Not sure of the historical reasons for having the rfc2822 module, but it
seems like it could be removed with minimal impact.
msg5245 Author: [hidden] (jerrykan) Date: 2015-03-03 01:29
A majority of the module is not being used, and the one function that is
being used can easily be replicated in mailgw.py, meaning that
everything related to the rfc2822 module can be removed.
msg5248 Author: [hidden] (ber) Date: 2015-03-03 09:01
On Tuesday 03 March 2015 at 01:52:21, John Kristensen wrote:
> Not sure of the historical reasons for having the rfc2822 module

In the comment it says that it added functions that rfc822 was missing at the 
time.
msg5251 Author: [hidden] (jerrykan) Date: 2015-03-03 13:27
This commit message seems to pretty much confirm that the module is much
not really used any more:

  http://hg.code.sf.net/p/roundup/code/rev/1ebab2e397d0
msg5294 Author: [hidden] (jerrykan) Date: 2015-03-19 13:01
Patch has been committed:

  http://hg.code.sf.net/p/roundup/code/rev/7f8f27ce1a06
History
Date User Action Args
2015-03-19 13:01:05jerrykansetstatus: new -> closed
messages: + msg5294
2015-03-03 13:27:55jerrykansetmessages: + msg5251
2015-03-03 09:01:34bersetnosy: + ber
messages: + msg5248
2015-03-03 01:33:15jerrykanlinkissue2550870 dependencies
2015-03-03 01:29:50jerrykansetkeywords: + patch
files: + issue2550874-1.patch
messages: + msg5245
2015-03-03 00:52:21jerrykancreate